JDK v 1.8 cause exception "a stackmap frame at branch target" with binding native android library?

I try to bind a native library from android to use it in my Xamarin solution.
When build with JDK version 1.8 I got a lot of build warning "a stackmap frame at branch target" and binding failed, but when build with JDK version 1.7 build warning disappear and binding successfully done.

Answers

  • ramonesteban78ramonesteban78 ✭✭ ESUniversity ✭✭

    Hi @MoustafaMesbah, how can I build my binding project again with JDK version 1.7?
    I have seen that I can select the JDK location in Preferences -> SDK Locations -> Java SDK (JDK), but I don't know where the 1.7 is located.

    Can you help me please?

    Regards

  • PhilippeTPhilippeT ✭✭ FRMember ✭✭

    probably something like C:\Program Files (x86)\Java

    Or try this :
    echo %JAVA_HOME%
    on your cmd console

    Worst case, if you don't find it, you just have to download it on oracle website

  • ramonesteban78ramonesteban78 ✭✭ ESUniversity ✭✭

    Fyi
    I just move to windows enviroment as it's easier to select the JDK to build your projects.

    Regards

Sign In or Register to comment.